## blender 2.63a

=== CMakeLists.txt ===
# -*- mode: cmake; indent-tabs-mode: t; -*-
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

#-----------------------------------------------------------------------------
# We don't allow in-source builds. This causes no end of troubles because
# all out-of-source builds will use the CMakeCache.txt file there and even
# build the libs and objects in it.

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
	if(NOT DEFINED WITH_IN_SOURCE_BUILD)
		message(FATAL_ERROR
			"CMake generation for blender is not allowed within the source directory!"
			"\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
			"\n "
			"\n rm CMakeCache.txt"
			"\n cd .."
			"\n mkdir cmake-make"
			"\n cd cmake-make"
			"\n cmake ../blender"
			"\n "
			"\n Alternately define WITH_IN_SOURCE_BUILD to force this option (not recommended!)"
		)
	endif()
endif()

cmake_minimum_required(VERSION 2.8)

if(NOT EXECUTABLE_OUTPUT_PATH)
	set(FIRST_RUN "TRUE")
endif()

# this starts out unset
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/build_files/cmake/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

# quiet output for Makefiles, 'make -s' helps too
# set_property(GLOBAL PROPERTY RULE_MESSAGES OFF)

# global compile definitions since add_definitions() adds for all.
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_DEBUG           DEBUG _DEBUG)
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_RELEASE         NDEBUG)
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_MINSIZEREL      NDEBUG)
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_RELWITHDEBINFO  NDEBUG)


#-----------------------------------------------------------------------------
# Set policy

# see "cmake --help-policy CMP0003"
# So library linking is more sane
cmake_policy(SET CMP0003 NEW)

# So BUILDINFO and BLENDERPATH strings are automatically quoted
cmake_policy(SET CMP0005 NEW)

# So syntax problems are errors
cmake_policy(SET CMP0010 NEW)

# Input directories must have CMakeLists.txt
cmake_policy(SET CMP0014 NEW)

#-----------------------------------------------------------------------------
# Load some macros.
include(build_files/cmake/macros.cmake)


#-----------------------------------------------------------------------------
# Initialize project.

blender_project_hack_pre()

project(Blender)

blender_project_hack_post()

enable_testing()

#-----------------------------------------------------------------------------
# Redirect output files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" FORCE )
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "" FORCE )

#-----------------------------------------------------------------------------
# Set default config options

get_blender_version()


# Blender internal features
option(WITH_BLENDER "Build blender (disable to build only the blender player)" ON)
mark_as_advanced(WITH_BLENDER)

option(WITH_INTERNATIONAL "Enable I18N (International fonts and text)" ON)

option(WITH_PYTHON        "Enable Embedded Python API  (only disable for development)" ON)
option(WITH_PYTHON_SECURITY "Disables execution of scripts within blend files by default (recommend to leave off)" OFF)
mark_as_advanced(WITH_PYTHON)  # dont want people disabling this unless they really know what they are doing.
mark_as_advanced(WITH_PYTHON_SECURITY)  # some distrobutions see this as a security issue, rather than have them patch it, make a build option.

option(WITH_PYTHON_SAFETY "Enable internal API error checking to track invalid data to prevent crash on access (at the expense of some effeciency, only enable for development)." OFF)
option(WITH_PYTHON_MODULE "Enable building as a python module (experimental, only enable for development)" OFF)
option(WITH_BUILDINFO     "Include extra build details (only disable for development & faster builds)" ON)
option(WITH_IK_ITASC      "Enable ITASC IK solver (only disable for development & for incompatible C++ compilers)" ON)
option(WITH_FFTW3         "Enable FFTW3 support (Used for smoke and audio effects)" OFF)
option(WITH_BULLET        "Enable Bullet (Physics Engine)" ON)
option(WITH_GAMEENGINE    "Enable Game Engine" ON)
option(WITH_PLAYER        "Build Player" OFF)

# GHOST Windowing Library Options
option(WITH_GHOST_DEBUG   "Enable debugging output for the GHOST library" OFF)
mark_as_advanced(WITH_GHOST_DEBUG)

option(WITH_GHOST_SDL    "Enable building blender against SDL for windowing rather then the native APIs" OFF)
mark_as_advanced(WITH_GHOST_SDL)

# Misc...
option(WITH_HEADLESS      "Build without graphical support (renderfarm, server mode only)" OFF)
mark_as_advanced(WITH_HEADLESS)

option(WITH_AUDASPACE    "Build with blenders audio library (only disable if you know what you're doing!)" ON)
mark_as_advanced(WITH_AUDASPACE)


# (unix defaults to OpenMP On)
if(UNIX AND NOT APPLE)
	set(PLATFORM_DEFAULT ON)
else()
	set(PLATFORM_DEFAULT OFF)
endif()
option(WITH_OPENMP        "Enable OpenMP (has to be supported by the compiler)" ${PLATFORM_DEFAULT})
unset(PLATFORM_DEFAULT)


if(UNIX AND NOT APPLE)
	option(WITH_X11_XINPUT "Enable X11 Xinput (tablet support and unicode input)"	ON)
	option(WITH_X11_XF86VMODE "Enable X11 video mode switching"	ON)
	option(WITH_BUILTIN_GLEW "Use GLEW OpenGL wrapper library bundled with blender" ON)
	option(WITH_XDG_USER_DIRS    "Build with XDG Base Directory Specification (only config and documents for now)" OFF)
	mark_as_advanced(WITH_XDG_USER_DIRS)

	# freebsd doesn't seems to support XDND
	if(NOT ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
		option(WITH_GHOST_XDND   "Enable drag'n'drop support on Linux using XDND protocol" ON)
	endif()
else()
	# not an option for other OS's
	set(WITH_BUILTIN_GLEW ON)
endif()

# Modifiers
option(WITH_MOD_FLUID        	"Enable Elbeem Modifier (Fluid Simulation)" ON)
option(WITH_MOD_SMOKE        	"Enable Smoke Modifier (Smoke Simulation)" ON)
option(WITH_MOD_DECIMATE       	"Enable Decimate Modifier" ON)
option(WITH_MOD_BOOLEAN        	"Enable Boolean Modifier" ON)
option(WITH_MOD_REMESH        	"Enable Remesh Modifier" ON)
option(WITH_MOD_CLOTH_ELTOPO   	"Enable Experimental cloth solver" OFF)
mark_as_advanced(WITH_MOD_CLOTH_ELTOPO)
option(WITH_MOD_OCEANSIM        "Enable Ocean Modifier" OFF)

# Image format support
option(WITH_IMAGE_OPENEXR       "Enable OpenEXR Support (http://www.openexr.com)" ON)
option(WITH_IMAGE_OPENJPEG      "Enable OpenJpeg Support (http://www.openjpeg.org)" ON)
option(WITH_IMAGE_TIFF          "Enable LibTIFF Support" ON)
option(WITH_IMAGE_DDS           "Enable DDS Image Support" ON)
option(WITH_IMAGE_CINEON        "Enable CINEON and DPX Image Support" ON)
option(WITH_IMAGE_HDR           "Enable HDR Image Support" ON)
option(WITH_IMAGE_REDCODE       "Enable RedCode Image Support" OFF)
option(WITH_IMAGE_FRAMESERVER   "Enable image FrameServer Support for rendering" ON)

# Audio/Video format support
option(WITH_CODEC_FFMPEG        "Enable FFMPeg Support (http://ffmpeg.org)" OFF)
unset(PLATFORM_DEFAULT)

option(WITH_CODEC_SNDFILE       "Enable libsndfile Support (http://www.mega-nerd.com/libsndfile)" OFF)
if(APPLE OR (WIN32 AND NOT UNIX))
	option(WITH_CODEC_QUICKTIME     "Enable Quicktime Support" OFF)
endif()

# 3D format support
# disable opencollada on non-apple unix because opencollada has no package for debian
option(WITH_OPENCOLLADA		"Enable OpenCollada Support (http://www.opencollada.org)"	OFF)

# Sound output
option(WITH_SDL           "Enable SDL for sound and joystick support" ON)
option(WITH_OPENAL        "Enable OpenAL Support (http://www.openal.org)" ON)
option(WITH_JACK          "Enable Jack Support (http://www.jackaudio.org)" OFF)

# Compression
option(WITH_LZO           "Enable fast LZO compression (used for pointcache)" ON)
option(WITH_LZMA          "Enable best LZMA compression, (used for pointcache)" ON)

# Camera/motion tracking
option(WITH_LIBMV         "Enable libmv structure from motion library" ON)

# Mesh boolean lib
option(WITH_CARVE         "Enable Carve library to handle mesh boolean operations" ON)

# Misc
option(WITH_INPUT_NDOF "Enable NDOF input devices (SpaceNavigator and friends)" ON)
option(WITH_RAYOPTIMIZATION	"Enable use of SIMD (SSE) optimizations for the raytracer" ON)
if(UNIX AND NOT APPLE)
	option(WITH_INSTALL_PORTABLE "Install redistributeable runtime, otherwise install into CMAKE_INSTALL_PREFIX" ON)
endif()
option(WITH_PYTHON_INSTALL       "Copy system python into the blender install folder" ON)
option(WITH_MINGW64                   "Use the 64-bit version of MinGW" OFF)
mark_as_advanced(WITH_MINGW64)

# Cycles
option(WITH_CYCLES					"Enable cycles Render Engine" ON)
option(WITH_CYCLES_TEST				"Build cycles test application" OFF)
option(WITH_CYCLES_CUDA_BINARIES	"Build cycles CUDA binaries" OFF)
set(CYCLES_CUDA_BINARIES_ARCH		sm_13 sm_20 sm_21 CACHE STRING "CUDA architectures to build binaries for")
mark_as_advanced(CYCLES_CUDA_BINARIES_ARCH)

# disable for now, but plan to support on all platforms eventually
option(WITH_MEM_JEMALLOC   "Enable malloc replacement (http://www.canonware.com/jemalloc)" OFF)
mark_as_advanced(WITH_MEM_JEMALLOC)

# Debug
option(WITH_CXX_GUARDEDALLOC "Enable GuardedAlloc for C++ memory allocation tracking (only enable for development)" OFF)
mark_as_advanced(WITH_CXX_GUARDEDALLOC)

option(WITH_ASSERT_ABORT "Call abort() when raising an assertion through BLI_assert()" OFF)
mark_as_advanced(WITH_ASSERT_ABORT)


if(APPLE)
	if(NOT CMAKE_OSX_ARCHITECTURES)
		set(CMAKE_OSX_ARCHITECTURES x86_64 CACHE STRING
		"Choose the architecture you want to build Blender for: i386, x86_64 or ppc"
		FORCE)
	endif()
	
	execute_process(COMMAND uname -r OUTPUT_VARIABLE MAC_SYS) # check for actual system-version
	if (${MAC_SYS} MATCHES 11)
		set(OSX_SYSTEM 10.7)
	elseif(${MAC_SYS} MATCHES 10)
		set(OSX_SYSTEM 10.6)
	elseif(${MAC_SYS} MATCHES 9)
		set(OSX_SYSTEM 10.5)
	else()
		set(OSX_SYSTEM unsupported)
	endif()
	message(STATUS "Detected system-version: " ${OSX_SYSTEM})
	
	if(NOT CMAKE_OSX_DEPLOYMENT_TARGET)
			set(CMAKE_OSX_DEPLOYMENT_TARGET "10.5" CACHE STRING "" FORCE) # 10.5 is our minimum target, if you have higher sdk, weak linking happens
	endif()

	if(${CMAKE_GENERATOR} MATCHES "Xcode")
	
		##### workaround for actual official cmake incompatibility with xcode 4.3 #####	
		if(${XCODE_VERSION} MATCHES '') # cmake fails due looking for xcode in the wrong path, thus will be empty var
			message("Official cmake does not yet support Xcode 4.3, get a patched version here: http://www.jensverwiebe.de/Blender/CMake%202.8-7patched.zip")
		endif()
		### end workaround for actual official cmake incompatibility with xcode 4.3 ###	
		
		if(${XCODE_VERSION} VERSION_EQUAL 4 OR ${XCODE_VERSION} VERSION_GREATER 4 AND ${XCODE_VERSION} VERSION_LESS 4.3)
			# Xcode 4 defaults to the Apple LLVM Compiler.
			# Override the default compiler selection because Blender only compiles with gcc up to xcode 4.2
			set(CMAKE_XCODE_ATTRIBUTE_GCC_VERSION "com.apple.compilers.llvmgcc42")
			message(STATUS "Setting compiler to: " ${CMAKE_XCODE_ATTRIBUTE_GCC_VERSION})

=== SConstruct ===
#!/usr/bin/env python
#
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Nathan Letwory.
#
# ***** END GPL LICENSE BLOCK *****
#
# Main entry-point for the SCons building system
# Set up some custom actions and target/argument handling
# Then read all SConscripts and build
#
# TODO: fix /FORCE:MULTIPLE on windows to get proper debug builds.
# TODO: directory copy functions are far too complicated, see:
#       http://wiki.blender.org/index.php/User:Ideasman42/SConsNotSimpleInstallingFiles

import platform as pltfrm

# Need a better way to do this. Automagical maybe is not the best thing, maybe it is.
if pltfrm.architecture()[0] == '64bit':
    bitness = 64
else:
    bitness = 32

import sys
import os
import os.path
import string
import shutil
import glob
import re
from tempfile import mkdtemp

# store path to tools
toolpath=os.path.join(".", "build_files", "scons", "tools")

# needed for importing tools
sys.path.append(toolpath)

import Blender
import btools
import bcolors

EnsureSConsVersion(1,0,0)

# Before we do anything, let's check if we have a sane os.environ
if not btools.check_environ():
    Exit()

BlenderEnvironment = Blender.BlenderEnvironment
B = Blender

VERSION = btools.VERSION # This is used in creating the local config directories
VERSION_RELEASE_CYCLE = btools.VERSION_RELEASE_CYCLE

### globals ###
platform = sys.platform
quickie = None
quickdebug = None

##### BEGIN SETUP #####

B.possible_types = ['core', 'player', 'player2', 'intern', 'extern']

B.binarykind = ['blender' , 'blenderplayer']
##################################
# target and argument validation #
##################################
# XX cheating for BF_FANCY, we check for BF_FANCY before args are validated
use_color = ARGUMENTS.get('BF_FANCY', '1')
if platform=='win32':
    use_color = None

if not use_color=='1':
    B.bc.disable()
    
 #on defaut white Os X terminal, some colors are totally unlegible
if platform=='darwin':
    B.bc.OKGREEN = '\033[34m'
    B.bc.WARNING = '\033[36m'

# arguments
print B.bc.HEADER+'Command-line arguments'+B.bc.ENDC
B.arguments = btools.validate_arguments(ARGUMENTS, B.bc)
btools.print_arguments(B.arguments, B.bc)

# targets
print B.bc.HEADER+'Command-line targets'+B.bc.ENDC
B.targets = btools.validate_targets(COMMAND_LINE_TARGETS, B.bc)
btools.print_targets(B.targets, B.bc)

##########################
# setting up environment #
##########################

# handling cmd line arguments & config file

# bitness stuff
tempbitness = int(B.arguments.get('BF_BITNESS', bitness)) # default to bitness found as per starting python
if tempbitness in (32, 64): # only set if 32 or 64 has been given
    bitness = int(tempbitness)

if bitness:
    B.bitness = bitness
else: 
    B.bitness = tempbitness
    

# first check cmdline for toolset and we create env to work on
quickie = B.arguments.get('BF_QUICK', None)
quickdebug = B.arguments.get('BF_QUICKDEBUG', None)

if quickdebug:
    B.quickdebug=string.split(quickdebug, ',')
else:
    B.quickdebug=[]

if quickie:
    B.quickie=string.split(quickie,',')
else:
    B.quickie=[]
    
toolset = B.arguments.get('BF_TOOLSET', None)
if toolset:
    print "Using " + toolset
    if toolset=='mstoolkit':
        env = BlenderEnvironment(ENV = os.environ)
        env.Tool('mstoolkit', [toolpath])
    else:
        env = BlenderEnvironment(tools=[toolset], ENV = os.environ)
        if env:
            btools.SetupSpawn(env)
else:
    if bitness==64 and platform=='win32':
        env = BlenderEnvironment(ENV = os.environ, MSVS_ARCH='amd64')
    else:
        env = BlenderEnvironment(ENV = os.environ)

if not env:
    print "Could not create a build environment"
    Exit()

cc = B.arguments.get('CC', None)
cxx = B.arguments.get('CXX', None)
if cc:
    env['CC'] = cc
if cxx:
    env['CXX'] = cxx

if sys.platform=='win32':
    if env['CC'] in ['cl', 'cl.exe']:
        platform = 'win64-vc' if bitness == 64 else 'win32-vc'
    elif env['CC'] in ['gcc']:
        platform = 'win64-mingw' if bitness == 64 else 'win32-mingw'

env.SConscriptChdir(0)

# Remove major kernel version from linux platform.
# After Linus switched kernel to new version model this major version
# shouldn't take much sense for building rules.

if re.match('linux[0-9]+', platform):
    platform = 'linux'

crossbuild = B.arguments.get('BF_CROSS', None)
if crossbuild and platform not in ('win32-vc', 'win64-vc'):
    platform = 'linuxcross'

env['OURPLATFORM'] = platform

configfile = os.path.join("build_files", "scons", "config", platform + "-config.py")

if os.path.exists(configfile):
    print B.bc.OKGREEN + "Using config file: " + B.bc.ENDC + configfile
else:
    print B.bc.FAIL + configfile + " doesn't exist" + B.bc.ENDC

if crossbuild and env['PLATFORM'] != 'win32':
    print B.bc.HEADER+"Preparing for crossbuild"+B.bc.ENDC
    env.Tool('crossmingw', [toolpath])
    # todo: determine proper libs/includes etc.
    # Needed for gui programs, console programs should do without it

    # Now we don't need this option to have console window
    # env.Append(LINKFLAGS=['-mwindows'])

userconfig = B.arguments.get('BF_CONFIG', 'user-config.py')
# first read platform config. B.arguments will override
optfiles = [configfile]
if os.path.exists(userconfig):
    print B.bc.OKGREEN + "Using user-config file: " + B.bc.ENDC + userconfig
    optfiles += [userconfig]
else:
    print B.bc.WARNING + userconfig + " not found, no user overrides" + B.bc.ENDC

opts = btools.read_opts(env, optfiles, B.arguments)
opts.Update(env)

if sys.platform=='win32':
    if bitness==64:
        env.Append(CPPFLAGS=['-DWIN64']) # -DWIN32 needed too, as it's used all over to target Windows generally

if not env['BF_FANCY']:
    B.bc.disable()


# remove install dir so old and new files are not mixed.
# NOTE: only do the scripts directory for now, otherwise is too disruptive for developers
# TODO: perhaps we need an option (off by default) to not do this altogether...
if not env['WITHOUT_BF_INSTALL'] and not env['WITHOUT_BF_OVERWRITE_INSTALL']:
    scriptsDir = os.path.join(env['BF_INSTALLDIR'], VERSION, 'scripts')
    if os.path.isdir(scriptsDir):
        print B.bc.OKGREEN + "Clearing installation directory%s: %s" % (B.bc.ENDC, os.path.abspath(scriptsDir))
        shutil.rmtree(scriptsDir)


SetOption('num_jobs', int(env['BF_NUMJOBS']))
print B.bc.OKGREEN + "Build with parallel jobs%s: %s" % (B.bc.ENDC, GetOption('num_jobs'))
print B.bc.OKGREEN + "Build with debug symbols%s: %s" % (B.bc.ENDC, env['BF_DEBUG'])

if 'blenderlite' in B.targets:
    target_env_defs = {}
    target_env_defs['WITH_BF_GAMEENGINE'] = False
    target_env_defs['WITH_BF_OPENAL'] = False
    target_env_defs['WITH_BF_OPENEXR'] = False
    target_env_defs['WITH_BF_OPENMP'] = False
    target_env_defs['WITH_BF_ICONV'] = False
    target_env_defs['WITH_BF_INTERNATIONAL'] = False
    target_env_defs['WITH_BF_OPENJPEG'] = False
    target_env_defs['WITH_BF_FFMPEG'] = False
    target_env_defs['WITH_BF_QUICKTIME'] = False
    target_env_defs['WITH_BF_REDCODE'] = False
    target_env_defs['WITH_BF_DDS'] = False
    target_env_defs['WITH_BF_CINEON'] = False
    target_env_defs['WITH_BF_FRAMESERVER'] = False
    target_env_defs['WITH_BF_HDR'] = False
    target_env_defs['WITH_BF_ZLIB'] = False
    target_env_defs['WITH_BF_SDL'] = False
    target_env_defs['WITH_BF_JPEG'] = False
    target_env_defs['WITH_BF_PNG'] = False
    target_env_defs['WITH_BF_BULLET'] = False
    target_env_defs['WITH_BF_BINRELOC'] = False
    target_env_defs['BF_BUILDINFO'] = False
    target_env_defs['WITH_BF_FLUID'] = False
    target_env_defs['WITH_BF_OCEANSIM'] = False
    target_env_defs['WITH_BF_SMOKE'] = False
    target_env_defs['WITH_BF_DECIMATE'] = False
    target_env_defs['WITH_BF_BOOLEAN'] = False
    target_env_defs['WITH_BF_REMESH'] = False
    target_env_defs['WITH_BF_PYTHON'] = False
    target_env_defs['WITH_BF_3DMOUSE'] = False
    target_env_defs['WITH_BF_LIBMV'] = False
    
    # Merge blenderlite, let command line to override
    for k,v in target_env_defs.iteritems():
        if k not in B.arguments:
            env[k] = v

# Extended OSX_SDK and 3D_CONNEXION_CLIENT_LIBRARY and JAckOSX detection for OSX
if env['OURPLATFORM']=='darwin':
    print B.bc.OKGREEN + "Detected Xcode version: -- " + B.bc.ENDC + env['XCODE_CUR_VER'] + " --"
    print "Available " + env['MACOSX_SDK_CHECK']
    if not 'Mac OS X 10.5' in env['MACOSX_SDK_CHECK']:
        print  B.bc.OKGREEN + "MacOSX10.5.sdk not available:" + B.bc.ENDC + " using MacOSX10.6.sdk"
    else:
        print B.bc.OKGREEN + "Found recommended sdk :" + B.bc.ENDC + " using MacOSX10.5.sdk"

    # for now, Mac builders must download and install the 3DxWare 10 Beta 4 driver framework from 3Dconnexion
    # necessary header file lives here when installed:
    # /Library/Frameworks/3DconnexionClient.framework/Versions/Current/Headers/ConnexionClientAPI.h
    if env['WITH_BF_3DMOUSE'] == 1:
        if not os.path.exists('/Library/Frameworks/3DconnexionClient.framework'):
            print "3D_CONNEXION_CLIENT_LIBRARY not found, disabling WITH_BF_3DMOUSE" # avoid build errors !
            env['WITH_BF_3DMOUSE'] = 0
        else:
            env.Append(LINKFLAGS=['-Xlinker','-weak_framework','-Xlinker','3DconnexionClient'])

    # for now, Mac builders must download and install the JackOSX framework 
    # necessary header file lives here when installed:
    # /Library/Frameworks/Jackmp.framework/Versions/A/Headers/jack.h
    if env['WITH_BF_JACK'] == 1:
        if not os.path.exists('/Library/Frameworks/Jackmp.framework'):
            print "JackOSX install not found, disabling WITH_BF_JACK" # avoid build errors !
            env['WITH_BF_JACK'] = 0
        else:
            env.Append(LINKFLAGS=['-Xlinker','-weak_framework','-Xlinker','Jackmp'])

if env['WITH_BF_OPENMP'] == 1:
        if env['OURPLATFORM'] in ('win32-vc', 'win64-vc'):
                env['CCFLAGS'].append('/openmp')
        else:
            if env['CC'].endswith('icc'): # to be able to handle CC=/opt/bla/icc case
                env.Append(LINKFLAGS=['-openmp', '-static-intel'])
                env['CCFLAGS'].append('-openmp')
            else:
                env.Append(CCFLAGS=['-fopenmp']) 

if env['WITH_GHOST_COCOA'] == True:
    env.Append(CPPFLAGS=['-DGHOST_COCOA']) 
    
if env['USE_QTKIT'] == True:
    env.Append(CPPFLAGS=['-DUSE_QTKIT'])

#check for additional debug libnames

if env.has_key('BF_DEBUG_LIBS'):
    B.quickdebug += env['BF_DEBUG_LIBS']

printdebug = B.arguments.get('BF_LISTDEBUG', 0)

if len(B.quickdebug) > 0 and printdebug != 0:
    print B.bc.OKGREEN + "Buildings these libs with debug symbols:" + B.bc.ENDC
    for l in B.quickdebug:
        print "\t" + l

# remove stdc++ from LLIBS if we are building a statc linked CXXFLAGS
if env['WITH_BF_STATICCXX']:
    if 'stdc++' in env['LLIBS']:
        env['LLIBS'].remove('stdc++')
    else:
        print '\tcould not remove stdc++ library from LLIBS, WITH_BF_STATICCXX may not work for your platform'

# check target for blenderplayer. Set WITH_BF_PLAYER if found on cmdline
if 'blenderplayer' in B.targets:
    env['WITH_BF_PLAYER'] = True

=== extern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

# Otherwise we get warnings here that we cant fix in external projects
remove_strict_flags()

add_subdirectory(colamd)

if(WITH_BULLET)
	add_subdirectory(bullet2)
endif()

if(WITH_MOD_CLOTH_ELTOPO)
	add_subdirectory(eltopo)
endif()

if(WITH_BINRELOC)
	add_subdirectory(binreloc)
endif()

if(WITH_BUILTIN_GLEW)
	add_subdirectory(glew)
endif()

if(WITH_GAMEENGINE)
	add_subdirectory(recastnavigation)
endif()

if(WITH_IMAGE_OPENJPEG AND (NOT UNIX OR APPLE))
	add_subdirectory(libopenjpeg)
endif()

if(WITH_IMAGE_REDCODE)
	add_subdirectory(libredcode)
endif()

if(WITH_LZO)
	add_subdirectory(lzo)
endif()

if(WITH_LZMA)
	add_subdirectory(lzma)
endif()

if(WITH_LIBMV)
	add_subdirectory(libmv)
endif()

if(WITH_CARVE)
	add_subdirectory(carve)
endif()

if(WITH_GHOST_XDND)
	if(UNIX AND NOT APPLE)
		add_subdirectory(xdnd)
	endif()
endif()

=== intern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

add_subdirectory(string)
add_subdirectory(ghost)
add_subdirectory(guardedalloc)
add_subdirectory(moto)
add_subdirectory(memutil)
add_subdirectory(iksolver)
add_subdirectory(opennl)
add_subdirectory(mikktspace)

if(WITH_AUDASPACE)
	add_subdirectory(audaspace)
endif()

if(WITH_MOD_REMESH)
	add_subdirectory(dualcon)
endif()

if(WITH_MOD_FLUID)
	add_subdirectory(elbeem)
endif()

if(WITH_MOD_SMOKE)
	add_subdirectory(smoke)
endif()

if(WITH_MOD_DECIMATE)
	add_subdirectory(container)
	add_subdirectory(decimation)
endif()

if(WITH_MOD_BOOLEAN)
	add_subdirectory(boolop)
	add_subdirectory(bsp)
endif()

if(WITH_IK_ITASC)
	add_subdirectory(itasc)
endif()

if(WITH_CYCLES)
	add_subdirectory(cycles)
endif()

# only windows needs utf16 converter
if(WIN32)
	add_subdirectory(utfconv)
endif()

=== source/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

add_subdirectory(blender)

if(WITH_GAMEENGINE)
	add_subdirectory(gameengine)
endif()
	
if(WINDOWS)
	add_subdirectory(icons)
endif()

add_subdirectory(tests)

=== extern/bullet2/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurai, Erwin Coumans
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
	src
)

set(INC_SYS

)

set(SRC
	src/BulletCollision/BroadphaseCollision/btAxisSweep3.cpp
	src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.cpp
	src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.cpp
	src/BulletCollision/BroadphaseCollision/btDbvt.cpp
	src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btDispatcher.cpp
	src/BulletCollision/BroadphaseCollision/btMultiSapBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.cpp
	src/BulletCollision/BroadphaseCollision/btQuantizedBvh.cpp
	src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.cpp
	src/BulletCollision/CollisionDispatch/SphereTriangleDetector.cpp
	src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBoxBoxDetector.cpp
	src/BulletCollision/CollisionDispatch/btCollisionDispatcher.cpp
	src/BulletCollision/CollisionDispatch/btCollisionObject.cpp
	src/BulletCollision/CollisionDispatch/btCollisionWorld.cpp
	src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.cpp
	src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btGhostObject.cpp
	src/BulletCollision/CollisionDispatch/btManifoldResult.cpp
	src/BulletCollision/CollisionDispatch/btSimulationIslandManager.cpp
	src/BulletCollision/CollisionDispatch/btSphereBoxCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereSphereCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereTriangleCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btUnionFind.cpp
	src/BulletCollision/CollisionShapes/btBoxShape.cpp
	src/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btCapsuleShape.cpp
	src/BulletCollision/CollisionShapes/btCollisionShape.cpp
	src/BulletCollision/CollisionShapes/btCompoundShape.cpp
	src/BulletCollision/CollisionShapes/btConcaveShape.cpp
	src/BulletCollision/CollisionShapes/btConeShape.cpp
	src/BulletCollision/CollisionShapes/btConvexHullShape.cpp
	src/BulletCollision/CollisionShapes/btConvexInternalShape.cpp
	src/BulletCollision/CollisionShapes/btConvexPointCloudShape.cpp
	src/BulletCollision/CollisionShapes/btConvexShape.cpp
	src/BulletCollision/CollisionShapes/btConvexTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btCylinderShape.cpp
	src/BulletCollision/CollisionShapes/btEmptyShape.cpp
	src/BulletCollision/CollisionShapes/btHeightfieldTerrainShape.cpp
	src/BulletCollision/CollisionShapes/btMinkowskiSumShape.cpp
	src/BulletCollision/CollisionShapes/btMultiSphereShape.cpp
	src/BulletCollision/CollisionShapes/btMultimaterialTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btOptimizedBvh.cpp
	src/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp
	src/BulletCollision/CollisionShapes/btScaledBvhTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btShapeHull.cpp
	src/BulletCollision/CollisionShapes/btSphereShape.cpp
	src/BulletCollision/CollisionShapes/btStaticPlaneShape.cpp
	src/BulletCollision/CollisionShapes/btStridingMeshInterface.cpp
	src/BulletCollision/CollisionShapes/btTetrahedronShape.cpp
	src/BulletCollision/CollisionShapes/btTriangleBuffer.cpp
	src/BulletCollision/CollisionShapes/btTriangleCallback.cpp
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexArray.cpp
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexMaterialArray.cpp
	src/BulletCollision/CollisionShapes/btTriangleMesh.cpp
	src/BulletCollision/CollisionShapes/btTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btUniformScalingShape.cpp
	src/BulletCollision/Gimpact/btContactProcessing.cpp
	src/BulletCollision/Gimpact/btGImpactBvh.cpp
	src/BulletCollision/Gimpact/btGImpactCollisionAlgorithm.cpp
	src/BulletCollision/Gimpact/btGImpactQuantizedBvh.cpp
	src/BulletCollision/Gimpact/btGImpactShape.cpp
	src/BulletCollision/Gimpact/btGenericPoolAllocator.cpp
	src/BulletCollision/Gimpact/btTriangleShapeEx.cpp
	src/BulletCollision/Gimpact/gim_box_set.cpp
	src/BulletCollision/Gimpact/gim_contact.cpp
	src/BulletCollision/Gimpact/gim_memory.cpp
	src/BulletCollision/Gimpact/gim_tri_collision.cpp
	src/BulletCollision/NarrowPhaseCollision/btContinuousConvexCollision.cpp
	src/BulletCollision/NarrowPhaseCollision/btConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkEpa2.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkEpaPenetrationDepthSolver.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp
	src/BulletCollision/NarrowPhaseCollision/btMinkowskiPenetrationDepthSolver.cpp
	src/BulletCollision/NarrowPhaseCollision/btPersistentManifold.cpp
	src/BulletCollision/NarrowPhaseCollision/btRaycastCallback.cpp
	src/BulletCollision/NarrowPhaseCollision/btSubSimplexConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btVoronoiSimplexSolver.cpp
	src/BulletDynamics/ConstraintSolver/btConeTwistConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btContactConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btGeneric6DofConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btGeneric6DofSpringConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btHingeConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btPoint2PointConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.cpp
	src/BulletDynamics/ConstraintSolver/btSliderConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btSolve2LinearConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btTypedConstraint.cpp
	src/BulletDynamics/Dynamics/Bullet-C-API.cpp
	src/BulletDynamics/Dynamics/btContinuousDynamicsWorld.cpp
	src/BulletDynamics/Dynamics/btDiscreteDynamicsWorld.cpp
	src/BulletDynamics/Dynamics/btRigidBody.cpp
	src/BulletDynamics/Dynamics/btSimpleDynamicsWorld.cpp
	src/BulletDynamics/Vehicle/btRaycastVehicle.cpp
	src/BulletDynamics/Vehicle/btWheelInfo.cpp
	src/BulletSoftBody/btDefaultSoftBodySolver.cpp
	src/BulletSoftBody/btSoftBody.cpp
	src/BulletSoftBody/btSoftBodyConcaveCollisionAlgorithm.cpp
	src/BulletSoftBody/btSoftBodyHelpers.cpp
	src/BulletSoftBody/btSoftBodyRigidBodyCollisionConfiguration.cpp
	src/BulletSoftBody/btSoftRigidCollisionAlgorithm.cpp
	src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp
	src/BulletSoftBody/btSoftSoftCollisionAlgorithm.cpp
	src/LinearMath/btAlignedAllocator.cpp
	src/LinearMath/btConvexHull.cpp
	src/LinearMath/btGeometryUtil.cpp
	src/LinearMath/btQuickprof.cpp
	src/LinearMath/btSerializer.cpp
	# UNUSED
	# src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.cpp
	# src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.cpp
	# src/BulletCollision/CollisionDispatch/btInternalEdgeUtility.cpp
	# src/BulletCollision/CollisionShapes/btBox2dShape.cpp
	# src/BulletCollision/CollisionShapes/btConvex2dShape.cpp
	# src/BulletDynamics/Character/btKinematicCharacterController.cpp
	# src/BulletDynamics/ConstraintSolver/btHinge2Constraint.cpp
	# src/BulletDynamics/ConstraintSolver/btUniversalConstraint.cpp

	src/Bullet-C-Api.h
	src/BulletCollision/BroadphaseCollision/btAxisSweep3.h
	src/BulletCollision/BroadphaseCollision/btBroadphaseInterface.h
	src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.h
	src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h
	src/BulletCollision/BroadphaseCollision/btDbvt.h
	src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.h
	src/BulletCollision/BroadphaseCollision/btDispatcher.h
	src/BulletCollision/BroadphaseCollision/btMultiSapBroadphase.h
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.h
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCallback.h
	src/BulletCollision/BroadphaseCollision/btQuantizedBvh.h
	src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.h
	src/BulletCollision/CollisionDispatch/SphereTriangleDetector.h
	src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBoxBoxDetector.h
	src/BulletCollision/CollisionDispatch/btCollisionConfiguration.h
	src/BulletCollision/CollisionDispatch/btCollisionCreateFunc.h
	src/BulletCollision/CollisionDispatch/btCollisionDispatcher.h
	src/BulletCollision/CollisionDispatch/btCollisionObject.h
	src/BulletCollision/CollisionDispatch/btCollisionWorld.h
	src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.h
	src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btGhostObject.h
	src/BulletCollision/CollisionDispatch/btManifoldResult.h
	src/BulletCollision/CollisionDispatch/btSimulationIslandManager.h
	src/BulletCollision/CollisionDispatch/btSphereBoxCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btSphereSphereCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btSphereTriangleCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btUnionFind.h
	src/BulletCollision/CollisionShapes/btBoxShape.h
	src/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btCapsuleShape.h
	src/BulletCollision/CollisionShapes/btCollisionMargin.h
	src/BulletCollision/CollisionShapes/btCollisionShape.h
	src/BulletCollision/CollisionShapes/btCompoundShape.h
	src/BulletCollision/CollisionShapes/btConcaveShape.h
	src/BulletCollision/CollisionShapes/btConeShape.h
	src/BulletCollision/CollisionShapes/btConvexHullShape.h
	src/BulletCollision/CollisionShapes/btConvexInternalShape.h
	src/BulletCollision/CollisionShapes/btConvexPointCloudShape.h
	src/BulletCollision/CollisionShapes/btConvexShape.h
	src/BulletCollision/CollisionShapes/btConvexTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btCylinderShape.h
	src/BulletCollision/CollisionShapes/btEmptyShape.h
	src/BulletCollision/CollisionShapes/btHeightfieldTerrainShape.h
	src/BulletCollision/CollisionShapes/btMaterial.h
	src/BulletCollision/CollisionShapes/btMinkowskiSumShape.h
	src/BulletCollision/CollisionShapes/btMultiSphereShape.h
	src/BulletCollision/CollisionShapes/btMultimaterialTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btOptimizedBvh.h
	src/BulletCollision/CollisionShapes/btPolyhedralConvexShape.h
	src/BulletCollision/CollisionShapes/btScaledBvhTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btShapeHull.h

=== extern/carve/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurai, Erwin Coumans
#
# ***** END GPL LICENSE BLOCK *****

# NOTE: This file is automatically generated by bundle.sh script
#       If you're doing changes in this file, please update template
#       in that script too

set(INC
	include
)

set(INC_SYS
)

set(SRC
	lib/intersection.cpp
	lib/intersect.cpp
	lib/triangulator.cpp
	lib/convex_hull.cpp
	lib/polyhedron.cpp
	lib/polyline.cpp
	lib/pointset.cpp
	lib/geom2d.cpp
	lib/math.cpp
	lib/intersect_half_classify_group.cpp
	lib/intersect_face_division.cpp
	lib/tag.cpp
	lib/aabb.cpp
	lib/intersect_classify_group.cpp
	lib/mesh.cpp
	lib/timing.cpp
	lib/geom3d.cpp
	lib/intersect_group.cpp
	lib/carve.cpp
	lib/intersect_classify_edge.cpp
	lib/csg.cpp
	lib/face.cpp
	lib/csg_collector.cpp
	lib/intersect_debug.cpp
	lib/edge.cpp
	lib/octree.cpp

	lib/intersect_debug.hpp
	lib/csg_collector.hpp
	lib/csg_data.hpp
	lib/intersect_classify_common.hpp
	lib/intersect_common.hpp
	lib/csg_detail.hpp
	lib/intersect_classify_common_impl.hpp

	include/carve/vertex_impl.hpp
	include/carve/aabb_impl.hpp
	include/carve/csg.hpp
	include/carve/pointset_iter.hpp
	include/carve/debug_hooks.hpp
	include/carve/mesh.hpp
	include/carve/triangulator_impl.hpp
	include/carve/edge_decl.hpp
	include/carve/collection/unordered.hpp
	include/carve/collection/unordered/tr1_impl.hpp
	include/carve/collection/unordered/fallback_impl.hpp
	include/carve/collection/unordered/std_impl.hpp
	include/carve/collection/unordered/vcpp_impl.hpp
	include/carve/collection/unordered/libstdcpp_impl.hpp
	include/carve/collection/unordered/boost_impl.hpp
	include/carve/convex_hull.hpp
	include/carve/geom.hpp
	include/carve/collection_types.hpp
	include/carve/cbrt.h
	include/carve/util.hpp
	include/carve/iobj.hpp
	include/carve/polyline_decl.hpp
	include/carve/polyline_impl.hpp
	include/carve/win32.h
	include/carve/edge_impl.hpp
	include/carve/carve.hpp
	include/carve/polyline.hpp
	include/carve/face_decl.hpp
	include/carve/matrix.hpp
	include/carve/classification.hpp
	include/carve/geom_impl.hpp
	include/carve/faceloop.hpp
	include/carve/mesh_ops.hpp
	include/carve/tree.hpp
	include/carve/geom2d.hpp
	include/carve/face_impl.hpp
	include/carve/polyhedron_decl.hpp
	include/carve/interpolator.hpp
	include/carve/poly_decl.hpp
	include/carve/mesh_impl.hpp
	include/carve/gnu_cxx.h
	include/carve/mesh_simplify.hpp
	include/carve/triangulator.hpp
	include/carve/pointset_impl.hpp
	include/carve/rtree.hpp
	include/carve/math_constants.hpp
	include/carve/vector.hpp
	include/carve/octree_impl.hpp
	include/carve/pointset.hpp
	include/carve/math.hpp
	include/carve/intersection.hpp
	include/carve/colour.hpp
	include/carve/kd_node.hpp
	include/carve/input.hpp
	include/carve/geom3d.hpp
	include/carve/exact.hpp
	include/carve/rescale.hpp
	include/carve/polyhedron_base.hpp
	include/carve/heap.hpp
	include/carve/spacetree.hpp
	include/carve/polyhedron_impl.hpp
	include/carve/vcpp_config.h
	include/carve/aabb.hpp
	include/carve/polyline_iter.hpp
	include/carve/djset.hpp
	include/carve/vertex_decl.hpp
	include/carve/csg_triangulator.hpp
	include/carve/poly.hpp
	include/carve/timing.hpp
	include/carve/octree_decl.hpp
	include/carve/pointset_decl.hpp
	include/carve/tag.hpp
	include/carve/collection.hpp
	include/carve/poly_impl.hpp
)

if(WITH_BOOST)
	if(NOT MSVC)
		# Boost is setting as preferred collections library in the Carve code when using MSVC compiler
		add_definitions(
			-DHAVE_BOOST_UNORDERED_COLLECTIONS
		)
	endif()

	add_definitions(
		-DCARVE_SYSTEM_BOOST
	)

	list(APPEND INC
		${BOOST_INCLUDE_DIR}
	)
endif()

blender_add_lib(extern_carve "${SRC}" "${INC}" "${INC_SYS}")

=== extern/eltopo/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurai, Erwin Coumans
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
	common
	eltopo3d
	common/meshes
	common/newsparse
	common/tunicate
)

set(INC_SYS

)

set(SRC
	eltopo-capi.cpp
	common/bfstream.cpp
	common/ccd_wrapper.cpp
	common/clamped_spline.cpp
	common/collisionqueries.cpp
	common/cubic_ccd_wrapper.cpp
	common/fe_ccd_wrapper.cpp
	common/fileio.cpp
	common/levelset.cpp
	common/makelevelset2.cpp
	common/makelevelset3.cpp
	common/marching_triangles.cpp
	common/predicates.cpp
	common/sos_ccd_wrapper.cpp
	common/wallclocktime.cpp
	eltopo3d/accelerationgrid.cpp
	eltopo3d/broadphasegrid.cpp
	eltopo3d/dynamicsurface.cpp
	eltopo3d/eltopo.cpp
	eltopo3d/nondestructivetrimesh.cpp
	eltopo3d/subdivisionscheme.cpp
	eltopo3d/surftrack.cpp
	common/newsparse/dense_matrix.cpp
	common/newsparse/krylov_solvers.cpp
	common/newsparse/sparse_matrix.cpp
	common/sparse/incomplete_qr.cpp
	common/tunicate/expansion.cpp
	common/tunicate/intersection.cpp
	common/tunicate/neg.cpp
	common/tunicate/orientation.cpp
	common/tunicate/sos_intersection.cpp
	common/tunicate/sos_orientation.cpp

	eltopo-capi.h
	common/array1.h
	common/array2.h
	common/array3.h
	common/array3_utils.h
	common/bfstream.h
	common/blas_wrapper.h
	common/ccd_wrapper.h
	common/clamped_spline.h
	common/collisionqueries.h
	common/fileio.h
	common/grid3.h
	common/hashtable.h
	common/lapack_wrapper.h
	common/levelset.h
	common/makelevelset2.h
	common/makelevelset3.h
	common/marching_triangles.h
	common/mat.h
	common/matlapack.h
	common/openglutils.h
	common/predicates.h
	common/util.h
	common/vec.h
	common/vector_math.h
	common/wallclocktime.h
	eltopo3d/accelerationgrid.h
	eltopo3d/broadphase.h
	eltopo3d/broadphasegrid.h
	eltopo3d/dynamicsurface.h
	eltopo3d/eltopo.h
	eltopo3d/nondestructivetrimesh.h
	eltopo3d/options.h
	eltopo3d/subdivisionscheme.h
	eltopo3d/surftrack.h
	common/newsparse/dense_matrix.h
	common/newsparse/krylov_solvers.h
	common/newsparse/linear_operator.h
	common/newsparse/sparse_matrix.h
	common/sparse/cgsolver.h
	common/sparse/crsolver.h
	common/sparse/incomplete_qr.h
	common/sparse/sparseilu.h
	common/sparse/sparsematrix.h
	common/sparse/sparsemilu.h
	common/tunicate/expansion.h
	common/tunicate/neg.h
	common/tunicate/tunicate.h
	)

add_definitions(-DNO_GUI)
add_definitions(-DUSE_FORTRAN_BLAS)

blender_add_lib(extern_eltopo "${SRC}" "${INC}" "${INC_SYS}")

=== extern/libmv/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2011, Blender Foundation
# All rights reserved.
#
# Contributor(s): Blender Foundation,
#                 Sergey Sharybin
#
# ***** END GPL LICENSE BLOCK *****

# NOTE: This file is automatically generated by bundle.sh script
#       If you're doing changes in this file, please update template
#       in that script too

set(INC
	.
	../Eigen3
	third_party/ssba
	third_party/ldl/Include
	../colamd/Include
)

set(INC_SYS
	${PNG_INCLUDE_DIR}
	${ZLIB_INCLUDE_DIRS}
)


# XXX - FIXME
# this is a momentary hack to find unwind.h in 10.6.sdk
if(APPLE)
	if(${CMAKE_OSX_DEPLOYMENT_TARGET} STREQUAL "10.6")
		list(APPEND INC_SYS
			${CMAKE_OSX_SYSROOT}/Developer/usr/llvm-gcc-4.2/lib/gcc/i686-apple-darwin10/4.2.1/include
		)
	endif()
endif()
# XXX - END


set(SRC
	libmv-capi.cpp
	libmv/image/array_nd.cc
	libmv/image/convolve.cc
	libmv/multiview/conditioning.cc
	libmv/multiview/euclidean_resection.cc
	libmv/multiview/fundamental.cc
	libmv/multiview/projection.cc
	libmv/multiview/triangulation.cc
	libmv/numeric/numeric.cc
	libmv/numeric/poly.cc
	libmv/simple_pipeline/bundle.cc
	libmv/simple_pipeline/callbacks.cc
	libmv/simple_pipeline/camera_intrinsics.cc
	libmv/simple_pipeline/detect.cc
	libmv/simple_pipeline/initialize_reconstruction.cc
	libmv/simple_pipeline/intersect.cc
	libmv/simple_pipeline/pipeline.cc
	libmv/simple_pipeline/reconstruction.cc
	libmv/simple_pipeline/resect.cc
	libmv/simple_pipeline/rigid_registration.cc
	libmv/simple_pipeline/tracks.cc
	libmv/tracking/brute_region_tracker.cc
	libmv/tracking/esm_region_tracker.cc
	libmv/tracking/hybrid_region_tracker.cc
	libmv/tracking/klt_region_tracker.cc
	libmv/tracking/lmicklt_region_tracker.cc
	libmv/tracking/pyramid_region_tracker.cc
	libmv/tracking/retrack_region_tracker.cc
	libmv/tracking/trklt_region_tracker.cc

	third_party/fast/fast_10.c
	third_party/fast/fast_11.c
	third_party/fast/fast_12.c
	third_party/fast/fast_9.c
	third_party/fast/fast.c
	third_party/fast/nonmax.c
	third_party/gflags/gflags.cc
	third_party/gflags/gflags_completions.cc
	third_party/gflags/gflags_reporting.cc
	third_party/ldl/Source/ldl.c
	third_party/ssba/Geometry/v3d_metricbundle.cpp
	third_party/ssba/Math/v3d_optimization.cpp

	libmv-capi.h
	libmv/base/id_generator.h
	libmv/base/scoped_ptr.h
	libmv/base/vector.h
	libmv/base/vector_utils.h
	libmv/image/array_nd.h
	libmv/image/convolve.h
	libmv/image/correlation.h
	libmv/image/image.h
	libmv/image/sample.h
	libmv/image/tuple.h
	libmv/logging/logging.h
	libmv/multiview/conditioning.h
	libmv/multiview/euclidean_resection.h
	libmv/multiview/fundamental.h
	libmv/multiview/nviewtriangulation.h
	libmv/multiview/projection.h
	libmv/multiview/resection.h
	libmv/multiview/triangulation.h
	libmv/numeric/dogleg.h
	libmv/numeric/function_derivative.h
	libmv/numeric/levenberg_marquardt.h
	libmv/numeric/numeric.h
	libmv/numeric/poly.h
	libmv/simple_pipeline/bundle.h
	libmv/simple_pipeline/callbacks.h
	libmv/simple_pipeline/camera_intrinsics.h
	libmv/simple_pipeline/detect.h
	libmv/simple_pipeline/initialize_reconstruction.h
	libmv/simple_pipeline/intersect.h
	libmv/simple_pipeline/pipeline.h
	libmv/simple_pipeline/reconstruction.h
	libmv/simple_pipeline/resect.h
	libmv/simple_pipeline/rigid_registration.h
	libmv/simple_pipeline/tracks.h
	libmv/tracking/brute_region_tracker.h
	libmv/tracking/esm_region_tracker.h
	libmv/tracking/hybrid_region_tracker.h
	libmv/tracking/klt_region_tracker.h
	libmv/tracking/lmicklt_region_tracker.h
	libmv/tracking/pyramid_region_tracker.h
	libmv/tracking/region_tracker.h
	libmv/tracking/retrack_region_tracker.h
	libmv/tracking/trklt_region_tracker.h

	third_party/fast/fast.h
	third_party/gflags/config.h
	third_party/gflags/gflags/gflags_completions.h
	third_party/gflags/gflags/gflags_declare.h
	third_party/gflags/gflags/gflags.h
	third_party/gflags/mutex.h
	third_party/gflags/util.h
	third_party/ldl/Include/ldl.h
	third_party/msinttypes/inttypes.h
	third_party/msinttypes/stdint.h
	third_party/ssba/Geometry/v3d_cameramatrix.h
	third_party/ssba/Geometry/v3d_distortion.h
	third_party/ssba/Geometry/v3d_metricbundle.h
	third_party/ssba/Math/v3d_linear.h
	third_party/ssba/Math/v3d_linear_utils.h
	third_party/ssba/Math/v3d_mathutilities.h
	third_party/ssba/Math/v3d_optimization.h
)

if(WIN32)
	list(APPEND SRC
		third_party/glog/src/logging.cc
		third_party/glog/src/raw_logging.cc
		third_party/glog/src/utilities.cc
		third_party/glog/src/vlog_is_on.cc
		third_party/glog/src/windows/port.cc

		third_party/glog/src/utilities.h
		third_party/glog/src/stacktrace_generic-inl.h
		third_party/glog/src/stacktrace.h
		third_party/glog/src/stacktrace_x86_64-inl.h
		third_party/glog/src/base/googleinit.h
		third_party/glog/src/base/mutex.h
		third_party/glog/src/base/commandlineflags.h
		third_party/glog/src/stacktrace_powerpc-inl.h
		third_party/glog/src/stacktrace_x86-inl.h
		third_party/glog/src/config.h
		third_party/glog/src/stacktrace_libunwind-inl.h
		third_party/glog/src/windows/glog/raw_logging.h
		third_party/glog/src/windows/glog/vlog_is_on.h
		third_party/glog/src/windows/glog/logging.h
		third_party/glog/src/windows/glog/log_severity.h
		third_party/glog/src/windows/port.h
		third_party/glog/src/windows/config.h
	)

	list(APPEND INC
		third_party/glog/src/windows
	)

	if(NOT MINGW)
		list(APPEND INC
			third_party/msinttypes
		)
	endif()

	if(MSVC)
		set(MSVC_OFLAGS O1 O2 Ox)
		foreach(FLAG ${MSVC_OFLAGS})
			string(REPLACE "${FLAG}" "Od" CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
			string(REPLACE "${FLAG}" "Od" CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO}")
		endforeach()
	endif()
else()
	list(APPEND SRC
		third_party/glog/src/demangle.cc
		third_party/glog/src/logging.cc
		third_party/glog/src/raw_logging.cc
		third_party/glog/src/signalhandler.cc
		third_party/glog/src/symbolize.cc
		third_party/glog/src/utilities.cc
		third_party/glog/src/vlog_is_on.cc

		third_party/glog/src/base/commandlineflags.h
		third_party/glog/src/base/googleinit.h
		third_party/glog/src/base/mutex.h
		third_party/glog/src/config_freebsd.h
		third_party/glog/src/config.h
		third_party/glog/src/config_hurd.h
		third_party/glog/src/config_linux.h
		third_party/glog/src/config_mac.h
		third_party/glog/src/demangle.h
		third_party/glog/src/glog/logging.h
		third_party/glog/src/glog/log_severity.h
		third_party/glog/src/glog/raw_logging.h
		third_party/glog/src/glog/vlog_is_on.h
		third_party/glog/src/stacktrace_generic-inl.h
		third_party/glog/src/stacktrace.h
		third_party/glog/src/stacktrace_libunwind-inl.h
		third_party/glog/src/stacktrace_powerpc-inl.h
		third_party/glog/src/stacktrace_x86_64-inl.h
		third_party/glog/src/stacktrace_x86-inl.h
		third_party/glog/src/symbolize.h
		third_party/glog/src/utilities.h
	)

	list(APPEND INC
		third_party/glog/src
	)
endif()

add_definitions(
	-DV3DLIB_ENABLE_SUITESPARSE
	-DGOOGLE_GLOG_DLL_DECL=
)

blender_add_lib(extern_libmv "${SRC}" "${INC}" "${INC_SYS}")

=== extern/libopenjpeg/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
)

set(INC_SYS

)

if(WIN32)
	add_definitions(-DOPJ_STATIC)
endif()

set(SRC
	bio.c
	cio.c
	dwt.c
	event.c
	image.c
	j2k.c
	j2k_lib.c
	jp2.c
	jpt.c
	mct.c
	mqc.c
	openjpeg.c
	pi.c
	raw.c
	t1.c
	t2.c
	tcd.c
	tgt.c

	bio.h
	cio.h
	dwt.h
	event.h
	fix.h
	image.h
	int.h
	j2k.h
	j2k_lib.h
	jp2.h
	jpt.h
	mct.h
	mqc.h
	openjpeg.h
	opj_includes.h
	opj_malloc.h
	pi.h
	raw.h
	t1.h
	t1_luts.h
	t2.h
	tcd.h
	tgt.h
)

blender_add_lib(extern_openjpeg "${SRC}" "${INC}" "${INC_SYS}")

=== intern/audaspace/CMakeLists.txt ===
# ***** BEGIN LGPL LICENSE BLOCK *****
#
# Copyright 2009 Jrg Hermann Mller
#
# This file is part of AudaSpace.
#
# AudaSpace is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# AudaSpace is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with AudaSpace.  If not, see <http://www.gnu.org/licenses/>.
#
# ***** END LGPL LICENSE BLOCK *****

set(INC
	.
	FX
	intern
	../ffmpeg
)

set(INC_SYS
	${PTHREADS_INCLUDE_DIRS}
)

set(SRC
	FX/AUD_AccumulatorFactory.cpp
	FX/AUD_BaseIIRFilterReader.cpp
	FX/AUD_ButterworthFactory.cpp
	FX/AUD_CallbackIIRFilterReader.cpp
	FX/AUD_DelayFactory.cpp
	FX/AUD_DelayReader.cpp
	FX/AUD_DoubleFactory.cpp
	FX/AUD_DoubleReader.cpp
	FX/AUD_DynamicIIRFilterFactory.cpp
	FX/AUD_DynamicIIRFilterReader.cpp
	FX/AUD_EffectFactory.cpp
	FX/AUD_EffectReader.cpp
	FX/AUD_EnvelopeFactory.cpp
	FX/AUD_FaderFactory.cpp
	FX/AUD_FaderReader.cpp
	FX/AUD_HighpassFactory.cpp
	FX/AUD_IIRFilterFactory.cpp
	FX/AUD_IIRFilterReader.cpp
	FX/AUD_LimiterFactory.cpp
	FX/AUD_LimiterReader.cpp
	FX/AUD_LoopFactory.cpp
	FX/AUD_LoopReader.cpp
	FX/AUD_LowpassFactory.cpp
	FX/AUD_PingPongFactory.cpp
	FX/AUD_PitchFactory.cpp
	FX/AUD_PitchReader.cpp
	FX/AUD_RectifyFactory.cpp
	FX/AUD_ReverseFactory.cpp
	FX/AUD_ReverseReader.cpp
	FX/AUD_SquareFactory.cpp
	FX/AUD_SumFactory.cpp
	FX/AUD_SuperposeFactory.cpp
	FX/AUD_SuperposeReader.cpp
	FX/AUD_VolumeFactory.cpp

	intern/AUD_3DMath.h
	intern/AUD_AnimateableProperty.cpp
	intern/AUD_AnimateableProperty.h
	intern/AUD_Buffer.cpp
	intern/AUD_Buffer.h
	intern/AUD_BufferReader.cpp
	intern/AUD_BufferReader.h
	intern/AUD_C-API.cpp
	intern/AUD_C-API.h
	intern/AUD_ChannelMapperFactory.cpp
	intern/AUD_ChannelMapperFactory.h
	intern/AUD_ChannelMapperReader.cpp
	intern/AUD_ChannelMapperReader.h
	intern/AUD_ConverterFactory.cpp
	intern/AUD_ConverterFactory.h
	intern/AUD_ConverterFunctions.cpp
	intern/AUD_ConverterFunctions.h
	intern/AUD_ConverterReader.cpp
	intern/AUD_ConverterReader.h
	intern/AUD_FileFactory.cpp
	intern/AUD_FileFactory.h
	intern/AUD_FileWriter.cpp
	intern/AUD_FileWriter.h
	intern/AUD_I3DDevice.h
	intern/AUD_I3DHandle.h
	intern/AUD_IDevice.h
	intern/AUD_IFactory.h
	intern/AUD_IHandle.h
	intern/AUD_IReader.h
	intern/AUD_IWriter.h
	intern/AUD_JOSResampleFactory.cpp
	intern/AUD_JOSResampleFactory.h
	intern/AUD_JOSResampleReader.cpp
	intern/AUD_JOSResampleReader.h
	intern/AUD_LinearResampleFactory.cpp
	intern/AUD_LinearResampleFactory.h
	intern/AUD_LinearResampleReader.cpp
	intern/AUD_LinearResampleReader.h
	intern/AUD_Mixer.cpp
	intern/AUD_Mixer.h
	intern/AUD_MixerFactory.cpp
	intern/AUD_MixerFactory.h
	intern/AUD_NULLDevice.cpp
	intern/AUD_NULLDevice.h
	intern/AUD_PyInit.h
	intern/AUD_ReadDevice.cpp
	intern/AUD_ReadDevice.h
	intern/AUD_Reference.h
	intern/AUD_ReferenceHandler.cpp
	intern/AUD_ResampleFactory.h
	intern/AUD_ResampleReader.cpp
	intern/AUD_ResampleReader.h
	intern/AUD_SequencerEntry.cpp
	intern/AUD_SequencerEntry.h
	intern/AUD_SequencerFactory.cpp
	intern/AUD_SequencerFactory.h
	intern/AUD_SequencerHandle.cpp
	intern/AUD_SequencerHandle.h
	intern/AUD_SequencerReader.cpp
	intern/AUD_SequencerReader.h
	intern/AUD_SilenceFactory.cpp
	intern/AUD_SilenceFactory.h
	intern/AUD_SilenceReader.cpp
	intern/AUD_SilenceReader.h
	intern/AUD_SinusFactory.cpp
	intern/AUD_SinusFactory.h
	intern/AUD_SinusReader.cpp
	intern/AUD_SinusReader.h
	intern/AUD_SoftwareDevice.cpp
	intern/AUD_SoftwareDevice.h
	intern/AUD_Space.h
	intern/AUD_StreamBufferFactory.cpp
	intern/AUD_StreamBufferFactory.h

	FX/AUD_AccumulatorFactory.h
	FX/AUD_BaseIIRFilterReader.h
	FX/AUD_ButterworthFactory.h
	FX/AUD_CallbackIIRFilterReader.h
	FX/AUD_DelayFactory.h
	FX/AUD_DelayReader.h
	FX/AUD_DoubleFactory.h
	FX/AUD_DoubleReader.h
	FX/AUD_DynamicIIRFilterFactory.h
	FX/AUD_DynamicIIRFilterReader.h
	FX/AUD_EffectFactory.h
	FX/AUD_EffectReader.h
	FX/AUD_EnvelopeFactory.h
	FX/AUD_FaderFactory.h
	FX/AUD_FaderReader.h
	FX/AUD_HighpassFactory.h
	FX/AUD_IIRFilterFactory.h
	FX/AUD_IIRFilterReader.h
	FX/AUD_LimiterFactory.h
	FX/AUD_LimiterReader.h
	FX/AUD_LoopFactory.h
	FX/AUD_LoopReader.h
	FX/AUD_LowpassFactory.h
	FX/AUD_PingPongFactory.h
	FX/AUD_PitchFactory.h
	FX/AUD_PitchReader.h
	FX/AUD_RectifyFactory.h
	FX/AUD_ReverseFactory.h
	FX/AUD_ReverseReader.h
	FX/AUD_SquareFactory.h
	FX/AUD_SumFactory.h
	FX/AUD_SuperposeFactory.h
	FX/AUD_SuperposeReader.h
	FX/AUD_VolumeFactory.h
)

if(WITH_CODEC_FFMPEG)
	add_definitions(-DWITH_FFMPEG)
	list(APPEND INC
		ffmpeg
	)
	list(APPEND INC_SYS
		${FFMPEG_INCLUDE_DIRS}
	)
	list(APPEND SRC
		ffmpeg/AUD_FFMPEGFactory.cpp
		ffmpeg/AUD_FFMPEGReader.cpp
		ffmpeg/AUD_FFMPEGWriter.cpp

		ffmpeg/AUD_FFMPEGFactory.h
		ffmpeg/AUD_FFMPEGReader.h
		ffmpeg/AUD_FFMPEGWriter.h
	)
endif()

if(WITH_SDL)
	add_definitions(-DWITH_SDL)
	list(APPEND INC
		SDL
	)
	list(APPEND INC_SYS
		${SDL_INCLUDE_DIR}
	)
	list(APPEND SRC
		SDL/AUD_SDLDevice.cpp

		SDL/AUD_SDLDevice.h
	)
endif()

if(WITH_OPENAL)
	add_definitions(-DWITH_OPENAL)
	list(APPEND INC
		OpenAL
	)
	list(APPEND INC_SYS
		${OPENAL_INCLUDE_DIR}
	)
	list(APPEND SRC
		OpenAL/AUD_OpenALDevice.cpp

		OpenAL/AUD_OpenALDevice.h
	)
endif()

if(WITH_JACK)
	add_definitions(-DWITH_JACK)
	list(APPEND INC
		jack
	)
	list(APPEND INC_SYS
		${JACK_INCLUDE_DIRS}
	)
	list(APPEND SRC
		jack/AUD_JackDevice.cpp

		jack/AUD_JackDevice.h
	)	
endif()

if(WITH_CODEC_SNDFILE)
	add_definitions(-DWITH_SNDFILE)
	list(APPEND INC
		sndfile
	)
	list(APPEND INC_SYS
		${SNDFILE_INCLUDE_DIRS}
	)
	list(APPEND SRC
		sndfile/AUD_SndFileFactory.cpp
		sndfile/AUD_SndFileReader.cpp
		sndfile/AUD_SndFileWriter.cpp

		sndfile/AUD_SndFileFactory.h
		sndfile/AUD_SndFileReader.h
		sndfile/AUD_SndFileWriter.h
	)
endif()

if(WITH_FFTW3 AND FALSE)
	add_definitions(-DWITH_FFTW3)
	list(APPEND INC
		fftw
	)
	list(APPEND INC_SYS
		${FFTW3_INCLUDE_DIRS}
	)
	list(APPEND SRC
		fftw/AUD_BandPassFactory.cpp
		fftw/AUD_BandPassReader.cpp

		fftw/AUD_BandPassFactory.h
		fftw/AUD_BandPassReader.h
	)
endif()

if(WITH_PYTHON)
	list(APPEND INC
		Python
	)
	list(APPEND INC_SYS
		${PYTHON_INCLUDE_DIRS}
	)
	list(APPEND SRC
		Python/AUD_PyAPI.cpp

		Python/AUD_PyAPI.h
	)
	add_definitions(-DWITH_PYTHON)
endif()

blender_add_lib(bf_intern_audaspace "${SRC}" "${INC}" "${INC_SYS}")

=== intern/boolop/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

remove_strict_flags()

set(INC	
	.
	extern
	intern
	../container
	../guardedalloc
	../memutil
	../moto/include
	../../source/blender/blenlib
	../../source/blender/makesdna
)

set(INC_SYS

)

if(NOT WITH_CARVE)
	set(SRC
		intern/BOP_BBox.cpp
		intern/BOP_BSPNode.cpp
		intern/BOP_BSPTree.cpp
		intern/BOP_Edge.cpp
		intern/BOP_Face.cpp
		intern/BOP_Face2Face.cpp
		intern/BOP_Interface.cpp
		intern/BOP_MathUtils.cpp
		intern/BOP_Merge.cpp
		intern/BOP_Merge2.cpp
		intern/BOP_Mesh.cpp
		intern/BOP_Segment.cpp
		intern/BOP_Splitter.cpp
		intern/BOP_Tag.cpp
		intern/BOP_Triangulator.cpp
		intern/BOP_Vertex.cpp

		extern/BOP_Interface.h
		intern/BOP_BBox.h
		intern/BOP_BSPNode.h
		intern/BOP_BSPTree.h
		intern/BOP_Chrono.h
		intern/BOP_Edge.h
		intern/BOP_Face.h
		intern/BOP_Face2Face.h
		intern/BOP_Indexs.h
		intern/BOP_MathUtils.h
		intern/BOP_Merge.h
		intern/BOP_Merge2.h
		intern/BOP_Mesh.h
		intern/BOP_Misc.h
		intern/BOP_Segment.h
		intern/BOP_Splitter.h
		intern/BOP_Tag.h
		intern/BOP_Triangulator.h
		intern/BOP_Vertex.h
	)
else()
	set(SRC
		intern/BOP_CarveInterface.cpp
		extern/BOP_Interface.h
	)

	list(APPEND INC
		../../extern/carve/include
	)

	if(WITH_BOOST)
		if(NOT MSVC)
			# Boost is setting as preferred collections library in the Carve code when using MSVC compiler
			add_definitions(
				-DHAVE_BOOST_UNORDERED_COLLECTIONS
			)
		endif()

		add_definitions(
			-DCARVE_SYSTEM_BOOST
		)

		list(APPEND INC
			${BOOST_INCLUDE_DIR}
		)
	endif()
endif()

blender_add_lib(bf_intern_bop "${SRC}" "${INC}" "${INC_SYS}")

=== debian/changelog ===
blender (2.63a-1ubuntu5) raring; urgency=low

  * Adjust 0001-blender_thumbnailer.patch to use /usr/bin/python3.3
    (LP: #1076320).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Nov 2012 10:32:03 +0000

blender (2.63a-1ubuntu4) raring; urgency=low

  * Drop python3.2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 06 Nov 2012 22:45:52 +0000

blender (2.63a-1ubuntu3) raring; urgency=low

  * Rebuild against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 31 Oct 2012 14:18:30 +0100

blender (2.63a-1ubuntu2) raring-proposed; urgency=low

  * Build-depend on python3-dev rather than python3.2-dev.
  * Call dh_python3
  * Use pkg-config to find python3.3 includes.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 25 Oct 2012 12:37:55 +0100

blender (2.63a-1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.
  * Suggest libtiff5 rather than libtiff4.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 19:16:49 +0100

blender (2.63a-1build1) quantal; urgency=low

  * No-change rebuild for libglew1.7 -> libglew1.8 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 08 Sep 2012 17:52:12 +0400

blender (2.63a-1) unstable; urgency=low

  * New upstream bugfix release
    + debian/patches/: re-worked since source code changed

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 12 May 2012 20:02:22 +0200

blender (2.63-1) unstable; urgency=low

  * New upstream release
  * debian/patches/:
    + patchset re-worked since source code changed
    + #0010 and #0011 dropped (applied upstream)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 28 Apr 2012 12:11:12 +0200

blender (2.62-2) unstable; urgency=low

  [ Matteo F. Vescovi ]
  * debian/patches/: #0010 added to fix typo.
    Thanks to Ronny Standtke for the patch (Closes: #667458)
  * debian/: README.source and TODO files updated.
  * debian/control: freeglut3-dev b-dep removed.
    Thanks to Campbell Barton for both these entries
  * debian/patches/: #0011 added to fix openjpeg transition.
    Thanks to Mathieu Malaterre (malat) for the patch (Closes: #670219)

  [ Alessio Treglia ]
  * Set DM-Upload-Allowed: yes.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 24 Apr 2012 11:02:59 +0200

=== debian/control ===
Source: blender
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
           Kevin Roy <kiniou@gmail.com>,
           Matteo F. Vescovi <mfv.debian@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: autotools-dev,
               cmake,
               debhelper (>= 7.0.50~),
               gettext,
               libalut-dev,
               libavdevice-dev,
               libavformat-dev,
               libboost-dev,
               libfftw3-dev,
               libgettextpo-dev,
               libglew-dev,
               libgsm1-dev,
               libjack-dev,
               libjpeg-dev,
               liblzma-dev,
               liblzo2-dev,
               libopenal-dev,
               libopenexr-dev,
               libopenjpeg-dev,
               libpng-dev,
               libsdl-dev,
               libsndfile-dev,
               libswscale-dev,
               libtiff-dev,
               libvorbis-dev,
               libxi-dev,
               libz-dev,
               libfontconfig-dev,
               pkg-config,
               python3-dev
Build-Conflicts: nvidia-glx
Standards-Version: 3.9.3
Homepage: http://blender.org
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/blender.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/blender.git

Package: blender
Architecture: any
Depends: ${python3:Depends},
         fonts-droid,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libtiff5,
          yafaray
Description: Very fast and versatile 3D modeller/renderer
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.

Package: blender-dbg
Architecture: any
Section: debug
Priority: extra
Depends: blender (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for Blender
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games).
 .
 This package contains debug symbols to produce useful backtraces.

=== debian/rules ===
#!/usr/bin/make -f

INSTDIR = debian/tmp
PROCESSORS:= $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
PACKAGE = blender
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | sed 's,^.*svn,,')
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.bz2
UPSTREAM_SVN_REPOSITORY = "https://svn.blender.org/svnroot/bf-blender/trunk/blender"
.PHONY: get-orig-source

get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(UPSTREAM_SVN_REPOSITORY) \
	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	BZIP2='--best --no-name' tar cjf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	@echo "  "$(TARBALL)" created; move it to the right destination to build the package"

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DWITH_IMAGE_OPENJPEG=ON \
		-DWITH_FFTW3=ON \
		-DWITH_JACK=ON \
		-DWITH_PLAYER=ON \
		-DWITH_INSTALL_PORTABLE=OFF \
		-DWITH_PYTHON_INSTALL=OFF \
		-DWITH_CODEC_FFMPEG=ON \
		-DWITH_CODEC_SNDFILE=ON \
		-DWITH_BUILTIN_GLEW=OFF \
		-DWITH_FONTCONFIG=ON \
		-DWITH_CYCLES=OFF \
		-DWITH_MOD_OCEANSIM=ON

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	# Get rid of embedded python, blender should fall back to
	# system python if it doesn't find the embedded one:
	#rm -r $(INSTDIR)/usr/share/blender/*/python/
	# Remove apparently-unneded dotfiles:
	#rm $(INSTDIR)/usr/share/blender/*/.bfont.ttf
	#rm $(INSTDIR)/usr/share/blender/*/.Blanguages
	#mv $(INSTDIR)/usr/lib/blender/*/datafiles/locale $(INSTDIR)/usr/share/locale
	#remove empty directory (e.g scripts/cfg)
	find $(INSTDIR)/usr/lib/blender/ -type d -empty -delete
	#remove duplicated GPL license file and unneeded Python license since python is shipped externally
	#rm $(INSTDIR)/usr/share/doc/blender/GPL-license.txt
	#rm $(INSTDIR)/usr/share/doc/blender/Python-license.txt

override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_strip:
	dh_strip --dbg-package=blender-dbg

%:
	dh $@ --buildsystem=cmake --parallel=$(PROCESSORS) --with python3
